Last Comment Bug 605657 - Port |Bug 431558 - implement preventive maintenance for places.sqlite| to SeaMonkey 2.0
: Port |Bug 431558 - implement preventive maintenance for places.sqlite| to Sea...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.11
Product: SeaMonkey
Classification: Client Software
Component: Startup & Profiles (show other bugs)
: SeaMonkey 2.0 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 431558
Blocks: 605503
  Show dependency treegraph
 
Reported: 2010-10-19 16:22 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-10-26 12:29 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Call PlacesUtils.startPlacesDBUtils() [Checked in: Comment 6] (1.09 KB, patch)
2010-10-20 22:51 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.11+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-10-19 16:22:18 PDT
Noticed while working on bug 605503 (for SM 2.1).

PS: Maybe it will have a good effect on my currently 20 MB file, which takes a few seconds to load(!?).
Comment 1 Serge Gautherie (:sgautherie) 2010-10-20 22:51:40 PDT
Created attachment 484974 [details] [diff] [review]
(Av1) Call PlacesUtils.startPlacesDBUtils()
[Checked in: Comment 6]

We also need to import utils.js there:
the other PlacesUtils.* in that file probably get it from elsewhere.
Should I copy the full global scope getter that exists elsewhere?
Comment 2 Serge Gautherie (:sgautherie) 2010-10-20 22:53:49 PDT
Comment on attachment 484974 [details] [diff] [review]
(Av1) Call PlacesUtils.startPlacesDBUtils()
[Checked in: Comment 6]

Ah, maybe the import could be inside the anonymous function: do we care!?
Comment 3 Robert Kaiser (not working on stability any more) 2010-10-21 04:27:15 PDT
Does the 1.9.1 platform even support all this? Have you verified that?
Comment 4 Serge Gautherie (:sgautherie) 2010-10-21 05:21:07 PDT
(In reply to comment #3)
> Does the 1.9.1 platform even support all this? Have you verified that?

What is "all this" and what kind of verification are you looking for?

Bug 431558 was checked in in m-1.9.1, a SeaMonkey 2.0.x profile has a places.sqlite file, the error console doesn't report any issue when starting with this patch.
Comment 5 Robert Kaiser (not working on stability any more) 2010-10-25 03:35:38 PDT
(In reply to comment #4)
> Bug 431558 was checked in in m-1.9.1

That's what I was looking for ;-)
Comment 6 Serge Gautherie (:sgautherie) 2010-10-25 04:39:19 PDT
Comment on attachment 484974 [details] [diff] [review]
(Av1) Call PlacesUtils.startPlacesDBUtils()
[Checked in: Comment 6]

http://hg.mozilla.org/releases/comm-1.9.1/rev/4989d277c9ec
Comment 7 Serge Gautherie (:sgautherie) 2010-10-25 23:56:38 PDT
Comment on attachment 484974 [details] [diff] [review]
(Av1) Call PlacesUtils.startPlacesDBUtils()
[Checked in: Comment 6]

"approval-seamonkey2.0.9=?":
Just in case you would want to include it yet...
Comment 8 Robert Kaiser (not working on stability any more) 2010-10-26 12:29:23 PDT
Comment on attachment 484974 [details] [diff] [review]
(Av1) Call PlacesUtils.startPlacesDBUtils()
[Checked in: Comment 6]

2.0.9 has been shipped a few days ago, no approvals can be taken for it any more.

Note You need to log in before you can comment on or make changes to this bug.